Bug 194500 - Symlinks within rpm package
Summary: Symlinks within rpm package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ben Konrath
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-08 15:19 UTC by Florian La Roche
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 3.2.0-0jpp_0fc.3.2RC7.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 04:37:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florian La Roche 2006-06-08 15:19:48 UTC
Description of problem:

--- eclipse.spec        7 Jun 2006 22:34:51 -0000       1.274
+++ eclipse.spec        8 Jun 2006 15:26:54 -0000
@@ -871,7 +871,7 @@ popd
 install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
 pushd $RPM_BUILD_ROOT%{_javadir}
 ln -s
%{_datadir}/%{name}/plugins/org.eclipse.swt.gtk.linux.%{eclipse_arch}_%{eclipse_majmin}.%{eclipse_micro}.v$SWT_VERSION.jar
swt-gtk-%{eclipse_majmin}.%{eclipse_micro}.jar
-ln -s %{_javadir}/swt-gtk-%{eclipse_majmin}.%{eclipse_micro}.v$SWT_VERSION.jar
swt-gtk-%{eclipse-majmin}.jar
+ln -s %{_javadir}/swt-gtk-%{eclipse_majmin}.%{eclipse_micro}.v$SWT_VERSION.jar
swt-gtk-%{eclipse_majmin}.jar
 popd
 ### end libswt-gtk2 symlinks




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ben Konrath 2006-06-14 04:37:39 UTC
This is fixed in the latest packages. Thanks a bunch for pointing this out.


Note You need to log in before you can comment on or make changes to this bug.